## ExtProd.tgz

=== ExtProd/INSTALL/Makefile ===
#*******************************************************************************
# E.S.O. - ALMA project
#
# "@(#) $Id: Makefile,v 1.22 2010/09/09 00:53:02 agrimstrup Exp $"
#
# Makefile of ........
#
#
# This is used to force building also VxWroks parts on Linux.
#
all-vw:	
	@chmod +x *
	@./buildTools -vw
	@echo " . . . 'all including VxWorks' done" 

all:	
	@chmod +x *
	@./buildTools
	@echo " . . . 'all' done" 

clean : 
	rm -rf ../PRODUCTS/Python-2.6.5
	rm -rf ../PRODUCTS/pysnmp-4.1.13a
	rm -rf ../PRODUCTS/python-ldap-2.3.11
	rm -rf ../PRODUCTS/numpy-1.4.1
	rm -rf ../PRODUCTS/scipy-0.7.2
	rm -rf ../PRODUCTS/gnuplot-py-1.8
	rm -rf ../PRODUCTS/matplotlib-0.99.1.1
	rm -rf ../PRODUCTS/pexpect-2.3
	rm -rf ../PRODUCTS/pychecker-0.8.17
	rm -rf ../PRODUCTS/distribute-0.6.10
	rm -rf ../PRODUCTS/lxml-2.2.6
	rm -rf ../PRODUCTS/pythoscope-0.4.3
	rm -rf ../PRODUCTS/nose-0.11.3
	rm -rf ../PRODUCTS/logilab-common-0.50.1
	rm -rf ../PRODUCTS/logilab-astng-0.20.0
	rm -rf ../PRODUCTS/pylint-0.20.0
	rm -rf ../PRODUCTS/Pygments-1.3.1
	rm -rf ../PRODUCTS/Jinja2-2.4.1
	rm -rf ../PRODUCTS/docutils-0.6
	rm -rf ../PRODUCTS/Sphinx-0.6.5
	rm -rf ../PRODUCTS/zope.interface-3.6.1
	rm -rf ../PRODUCTS/Twisted-10.0.0
	rm -rf ../PRODUCTS/pyOpenSSL-0.10
	rm -rf ../PRODUCTS/foolscap-0.5.1
	rm -rf ../PRODUCTS/ipython-0.10
	rm -rf ../PRODUCTS/coverage-3.3.1
	rm -rf ../PRODUCTS/gcc-SUN
	rm -rf ../PRODUCTS/gnu
	rm -rf ../PRODUCTS/java
	rm -rf ../PRODUCTS/tcltk
	rm -rf ../PRODUCTS/mico
	rm -rf ../PROPRIETARY/CCSLite
	rm -rf ../PROPRIETARY/vw
	rm -rf ../PRODUCTS/snakefood-1.4
	rm -rf *.log *~
	@echo " . . . clean done"

clean_dist : clean 
	rm -rf *.log *~
	@echo " . . . clean dist done"


#___oOo___

=== doc/talks2/Makefile ===
all:
	pdflatex sfoodpres.tex

clean:
	rm -f *.log *.nav *.toc *.vrb *.snm *.aux *.bbl *.blg *.out *~

=== rtai-lab/scilab/macros/Makefile ===
all: install

SCILAB_VERSION = 3.1.1
SCILAB_DIR = /usr/local/scilab-$(SCILAB_VERSION)
MACROS_DIR = $(PWD)

install:
	cp -dpR RTAI    $(SCILAB_DIR)/macros
	(cd $(SCILAB_DIR)/macros/RTAI ; make)

user:
	mkdir -p ~/.Scilab/scilab-$(SCILAB_VERSION)
	cat scilab >> ~/.Scilab/scilab-$(SCILAB_VERSION)/.scilab

=== rtai-lab/scilab/macros/RTAI/Makefile ===
SHELL = /bin/sh

SCIDIR=../..

include ../../Makefile.incl

.SUFFIXES: .sci .bin $(SUFFIXES)

NAME = rtailib
NAM = SCI/macros/RTAI

MACROS= rtai_sinus.sci \
	rtai_square.sci \
	rtai_step.sci \
	rtai_scope.sci \
	rtai_led.sci \
	rtai_meter.sci \
	rtai_comedi_datain.sci \
	rtai_comedi_dataout.sci \
	rtai_comedi_dioin.sci \
	rtai_comedi_dioout.sci \
	rtai_mbx_ovrwr_send.sci \
	rtai_mbx_send_if.sci \
	rtai_mbx_rcv_if.sci \
	rtai_mbx_rcv.sci \
	rtai_extdata.sci \
	rtai_fifo.sci \
	rtai_sem_signal.sci \
	rtai_sem_wait.sci \
	RTAICodeGen_.sci \
	SetTarget_.sci \
	C_RTAI_BLK.sci \
	rtai_generic_inp.sci \
	rtai_generic_out.sci

include ../Make.lib

=== x86.linux2.6/examples/dcps/standalone/C++/PingPong/Makefile ===
#
# Include paths
INCLUDES=-I./
INCLUDES+=-I./bld
INCLUDES+=-I$(OSPL_HOME)/include
INCLUDES+=-I$(OSPL_HOME)/include/sys
INCLUDES+=-I$(OSPL_HOME)/include/dcps/C++/SACPP
INCLUDES+=-I$(OSPL_HOME)/etc/idl

# C++ Compiler settings.
CXX=g++
CXXFLAGS=-g -c -m32
CPPFLAGS=$(INCLUDES) -I$(OSPL_HOME)/include/dcps/C++/SACPP

# Linker settings.
LD_SO=$(CXX)
LD_FLAGS=-m32
LD_LIBS=-lstdc++

#OpenSplice idl preprocessor
OSPLICE_COMP=$(OSPL_HOME)/bin/idlpp -S -l cpp -d bld

OSPLICE_LIBS=-lddsdatabase -ldcpsgapi -ldcpssacpp -lddsos

DCPS_SRC_FILES = bld/pingpong.cpp bld/pingpongDcps.cpp bld/pingpongDcps_impl.cpp bld/pingpongSplDcps.cpp
DCPS_OBJ_FILES = $(patsubst %.cpp, %.o, $(DCPS_SRC_FILES))

.cpp.o :
	@echo "Compiling $<"
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -o $@

all : dirs exec/ping exec/pong
	@echo ">>>> all done"
	@echo ">>>> to execute, enter : sh RUN"
	@echo ">>>> to clean, enter : make clean"

dirs :
	@mkdir -p bld
	@mkdir -p exec

$(DCPS_SRC_FILES) : pingpong.idl
	@echo "Compiling $< with SPLICE IDL compiler"
	@mkdir -p bld
	$(OSPLICE_COMP) $(INCLUDES) $<

exec/ping : $(DCPS_OBJ_FILES) ping.o
	@echo "Linking PING"
	@mkdir -p exec
	$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(LD_LIBS)

exec/pong : $(DCPS_OBJ_FILES) pong.o
	@echo "Linking PONG"
	@mkdir -p exec
	$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(LD_LIBS)

clean :
	@rm -f *.o ospl-info.log
	@rm -f bld/*
	@rm -f exec/*
	@rmdir bld
	@rmdir exec

=== x86.linux2.6/examples/dcps/CORBA/C++/OpenFusion/PingPong/Makefile ===
include ${OSPL_HOME}/custom_lib/ccpp/orbdeps.mak

#
# Include paths
INCLUDES=-I./
INCLUDES+=-I./bld
INCLUDES+=-I$(OSPL_HOME)/include/dcps/C++/CCPP
INCLUDES+=-I$(OSPL_HOME)/include/dcps/C++/CCPP/$(SPLICE_ORB)
INCLUDES+=-I$(OSPL_HOME)/include
INCLUDES+=-I$(OSPL_HOME)/etc/idl
INCLUDES+=-I$(OSPL_HOME)/include/sys
INCLUDES+= $(ORB_INCLUDE)


# C++ Compiler settings.
CXX=g++
CXXFLAGS=-g -c -m32
CPPFLAGS=-D$(SPLICE_ORB) $(INCLUDES)

# Linker settings.
LD_SO=$(CXX)
LD_FLAGS=-m32
LD_LIBS=-lstdc++

#OpenSplice idl preprocessor
OSPLICE_COMP=$(OSPL_HOME)/bin/idlpp -C -l cpp -d bld

OSPLICE_LIBS=-lddsdatabase -ldcpsgapi -ldcpsccpp

DCPS_SRC_FILES = bld/pingpongC.cpp bld/pingpongDcpsC.cpp bld/pingpongDcps_impl.cpp bld/pingpongSplDcps.cpp
DCPS_OBJ_FILES = $(patsubst %.cpp, %.o, $(DCPS_SRC_FILES))

.cpp.o :
	@echo "Compiling $<"
	@$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -o $@

all : dirs exec/ping exec/pong
	@echo ">>>> all done"
	@echo ">>>> to execute, enter : sh RUN"
	@echo ">>>> to clean, enter : make clean"

dirs :
	@mkdir -p bld
	@mkdir -p exec

$(DCPS_SRC_FILES) : pingpong.idl
	@mkdir -p bld
	@echo "Compiling $< with SPLICE IDL compiler"
	@$(OSPLICE_COMP) $(INCLUDES) $<
	@echo "Compiling $< with TAO IDL compiler"
	@$(ORB_IDL_COMPILER) $(ORB_IDL_OUTPUT) bld $(INCLUDES) $(ORB_IDL_FLAGS) $<
	@@echo "Compiling IDL Typed Interfaces with TAO IDL compiler"
	@$(ORB_IDL_COMPILER) $(ORB_IDL_OUTPUT) bld $(INCLUDES) $(ORB_IDL_FLAGS) bld/pingpongDcps.idl

exec/ping : $(DCPS_OBJ_FILES) ping.o
	@echo "Linking PING"
	@mkdir -p exec
	@$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(ORB_LDLIBS) $(LD_LIBS)

exec/pong : $(DCPS_OBJ_FILES) pong.o
	@echo "Linking PONG"
	@mkdir -p exec
	@$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(ORB_LDLIBS) $(LD_LIBS)

clean :
	@rm -f *.o ospl-info.log
	@rm -f bld/*
	@rm -f exec/*
	@rmdir bld
	@rmdir exec

=== x86.linux2.6/examples/dcps/CORBA/C++/OpenFusion/Tutorial/Makefile ===
include ${OSPL_HOME}/custom_lib/ccpp/orbdeps.mak

#
# Include paths
INCLUDES=-I./
INCLUDES+=-I./bld
INCLUDES+=-I$(OSPL_HOME)/include/dcps/C++/CCPP
INCLUDES+=-I$(OSPL_HOME)/etc/idl
INCLUDES+=-I$(OSPL_HOME)/include/dcps/C++/CCPP/$(SPLICE_ORB)
INCLUDES+="-I$(TAO_ROOT)/include"
INCLUDES+=-I$(OSPL_HOME)/include
INCLUDES+=-I$(OSPL_HOME)/include/sys

# C++ Compiler settings.
CXX=g++
CXXFLAGS=-g -c -m32
CPPFLAGS=-D$(SPLICE_ORB) $(INCLUDES)

# Linker settings.
LD_SO=$(CXX)
LD_FLAGS=-m32
LD_LIBS=-lstdc++

#OpenSplice idl preprocessor
OSPLICE_COMP=$(OSPL_HOME)/bin/idlpp -C -l cpp -d bld

OSPLICE_LIBS=-lddsdatabase -ldcpsgapi -ldcpsccpp

DCPS_SRC_FILES = bld/ChatC.cpp  bld/ChatDcpsC.cpp  bld/ChatDcps_impl.cpp  bld/ChatSplDcps.cpp

DCPS_OBJ_FILES = $(patsubst %.cpp, %.o, $(DCPS_SRC_FILES))

.cpp.o :
	@echo "Compiling $<"
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -o $@

all : dirs exec/Chatter exec/MessageBoard exec/UserLoad
	@echo ">>>> all done"

dirs :
	@mkdir -p bld
	@mkdir -p exec

$(DCPS_SRC_FILES) : Chat.idl
	@echo "Compiling $< with SPLICE IDL compiler"
	@mkdir -p bld
	$(OSPLICE_COMP) $(INCLUDES) $<
	@echo "Compiling $< with TAO IDL compiler"
	$(ORB_IDL_COMPILER) $(ORB_IDL_OUTPUT) bld $(INCLUDES) $(ORB_IDL_FLAGS) $<
	@echo "Compiling DCPS IDL Typed Interfaces with TAO IDL compiler"
	$(ORB_IDL_COMPILER) $(ORB_IDL_OUTPUT) bld $(INCLUDES) $(ORB_IDL_FLAGS) bld/ChatDcps.idl

exec/Chatter : $(DCPS_OBJ_FILES) Chatter.o CheckStatus.o multitopic.o
	@echo "Linking Chatter"
	@mkdir -p exec
	$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(ORB_LDLIBS) $(LD_LIBS)

exec/MessageBoard : $(DCPS_OBJ_FILES) MessageBoard.o CheckStatus.o multitopic.o
	@echo "Linking MessageBoard"
	@mkdir -p exec
	$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(ORB_LDLIBS) $(LD_LIBS)

exec/UserLoad : $(DCPS_OBJ_FILES) UserLoad.o CheckStatus.o multitopic.o
	@echo "Linking UserLoad"
	@mkdir -p exec
	$(LD_SO) $(LD_FLAGS) -L$(OSPL_HOME)/lib -o $@ $^ $(OSPLICE_LIBS) $(ORB_LDLIBS) $(LD_LIBS)

clean :
	@rm -f *.o
	@rm -f bld/*
	@rm -f exec/*
	@rmdir bld
	@rmdir exec

=== debian/changelog ===
ace (5.7.7-1) unstable; urgency=low

  [ Marek Brudka ]
  * New upstream release
  * Install fix related with MPC bug for *.ins files
  * Reverted mpc-ace changes
  * Dropped 25-remove-duplicate-file patch
  * Added PerlACE to mpc-ace. This should resolve #522557
  * Replaced find [C,S,A].[h,inl] by 2-pass mpc generation
  * Remove obsolete patches
  
 -- Marek Brudka <mbrudka@aster.pl>  Sat, 27 Mar 2010 20:00:00 +0100

ace (5.7.5-2) unstable; urgency=low
  [ Marek Brudka ]
  * Change build method to MPC generated makefiles
  * Changed installation method to MPC/prj_install.pl
  * Changed .so naming from -x.y.z.so to so.x.y.z

ace (5.7.5-1) unstable; urgency=low

  [ Pau Garcia i Quiles ]
  * New upstream release
  * Add dependency on ${misc:Depends}
  * Add new libraries and update patch 34-bts386713 accordingly
  * Update patch 02-qt4 (partially fixed upstream)
  * Drop patch 05-autoconf-fox (fixed upstream)
  * Drop patch 06-fix-kokyu-mpc (fixed upstream)
  * Drop patch 07-autoconf-fix-gperf (fixed upstream)
  * Drop patch 08-fix-perl-shebang (fixed upstream)
  * Drop patch 10-fix-fox-resource-export (fixed upstream)
  * Drop patch 11-fix-fox-reactor.dpatch (fixed upstream)
  * Update patch 12-fix-fox-include
  * Drop patch 13-fix-fox-errors (fixed upstream except for the #include, which
    I have now merged in 12-fix-fox-include)
  * Drop patch 14-autoconf-tao (fixed upstream)
  * Drop patch 15-fix-fltk-include (fixed upstream)
  * Drop patch 17-protect-mpc-path (fixed upstream)
  * Drop patch 18-fix-bswap-detection (fixed upstream)
  * Update patch 19-gcc43
  * Drop patch 20-fix-iostream-detection (fixed upstream)
  * Drop patch 22-remove-Ge-doc (fixed upstream)
  * Drop patch 23-add-sh-shebang (fixed upstream)
  * Update patch 24-add-missing-headers (WORK IN PROGRESS)
  * Update patch 34-bts386713
  * Drop patch 49-missing-template (fixed upstream)
  * Update patch 90-patch-mpc-basedir
  * Update patch 91-patch-dg-basedir
  * Add patch 93-hack-to-fix-libtoolize
  * Add patch 94-build-crosscompile
  * ??? Add patch 95-build-ace-for-tao
  * Add patch 96-build-athena3d
  * Remove DH_COMPAT definition from the debian/rules file, it's already in
    debian/compat
  * Fix fox-config location, detection method has changed since 5.6.3
  [Marek Brudka]
  * renamed gperf-ace to ace_gperf to follow the upstream convention
  * fixed fidone once again
  * created gperf-ace-5.7.5 and gperf-ace-dev package for gperf runtime libraries
  * included number of runtime and static libraries with headers (Monitor, ZIOP, ETCL, Catior) to libtao-orbsvcs-* packages
  * renamed split-cpp to split-cpp.pl in libace-dev to follow the upstream 
    conventions
  * renamed utilities (ns{add,del,list> to tao_ns{add,del,list}) in tao-utils 
    to follow the upstream changes
  * removed permission fixes for example in debian/rules as there is nothing to fix
  * created libace_gperf runtime and devel libraries
  * added libACE_ETCL to libace (separate package?)
  * added libACE_Monitor_Control to libace (separate package?)
  * added libACE_gperf to libace (separate package?)
  * added usr/bin/m[w,p]c.pl to avoid some problems related with $0 and workspace generation
  * temporarily excluded logWalker from build
 -- Pau Garcia i Quiles <pgquiles@elpauer.org>, Marek Brudka <mbrudka@aster.pl>  Sun, 25 Oct 2009 12:59:18 +0100

ace (5.6.3-6) unstable; urgency=low

  [ Thomas Girard ]
  * Remove obsolete maintainers:
    - Konstantinos Margaritis <markos@debian.org>
    - Brian Nelson <pyro@debian.org>
    Closes: #521487.
  * Bump Standards-Version: to 3.8.3.
  * Remove erroneous #define ACE_SCANDIR_CMP_USES_CONST_VOIDPTR in config.h;
    causing diagnostics to FTBFS. Closes: #552899.
  * Remove extra ACLOCAL_AMFLAGS from already existing Makefile.am; causing
    recent aclocal to abort. Thanks to Pau Garcia i Quiles for the patch.
    Closes: #518735.
  * Add README.source.
  * Add Pau Garcia i Quiles to the list of maintainers.
  * Fix many issues spotted by lintian.

  [ Pau Garcia i Quiles ]
  * Add new patches:
    - Remove duplicate files from .mpc files so that Makefile.am files do
      not have duplicates 
    - Run autoupdate and autoreconf in the ACE and TAO directories in order
      to update from libtool 1.5 (what upstream uses) to libtool 2.2

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 13 Dec 2009 11:47:50 +0100

ace (5.6.3-5) unstable; urgency=low

  * Do not ship MPC config files in both mpc-ace and libace-dev packages;
    they're meant to be only in mpc-ace. Make mpc-ace Replaces: the bogus
    previous upload. Closes: #484718.
  * Bump Standards-Version: to 3.8.0.

 -- Thomas Girard <thomas.g.girard@free.fr>  Fri, 13 Jun 2008 21:52:28 +0000

ace (5.6.3-4) unstable; urgency=low

  * Add the following missing programs to libace-dev:
    o $ACE_ROOT/bin/generate_export_file.pl
    o $ACE_ROOT/bin/split-cpp
    o $ACE_ROOT/bin/g++dep
    o $ACE_ROOT/bin/add_rel_link.sh
  * Move DependencyGenerator from mpc-ace to libace-dev.
  * New patch, 22-remove-Ge-doc.dpatch, to remove documentation for
    tao_idl -Ge flag that no longer works. Thanks to Pascal Giard for
    reporting this.
  * Remove PACKAGE_* definitions from /usr/include/ace/config.h. Thanks to
    Pascal Giard for reporting this.
  * Remove pre-etch Conflicts: and Replaces: information.
  * Add missing headers found with cmp-installation.sh. Closes: #481088.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 24 May 2008 15:47:01 +0000

ace (5.6.3-3) unstable; urgency=low

  * Pass full path to fox-config-1.6 instead of trying to detect fox-config
    since fox-config is an alternative. Should fix multiple FTBFS.
  * Enable IPv6 again. Disabling it was a mistake: it does work. But on an
    IPv4 only host one need to specify the end-point to use, e.g. :
      Naming_Service -ORBEndPoint iiop://localhost:1234

 -- Thomas Girard <thomas.g.girard@free.fr>  Thu, 24 Apr 2008 18:27:07 +0000

ace (5.6.3-2) unstable; urgency=low



=== debian/control ===
Source: ace
Section: devel
Priority: optional
Maintainer: Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
Uploaders: Thomas Girard <thomas.g.girard@free.fr>, Pau Garcia i Quiles <pgquiles@elpauer.org>
Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.7d), dpatch (>= 2.0.10), libxt-dev (>= 4.3.0), libfltk1.1-dev (>= 1.1.4), libqt4-dev (>= 4.4~rc1-4), tk-dev (>= 8.4.7), libfox-1.6-dev, zlib1g-dev, libzzip-dev, docbook-to-man, bzip2, autoconf, automake, libtool, autotools-dev, doxygen, graphviz
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-ace/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-ace/trunk
Homepage: http://www.cs.wustl.edu/~schmidt/ACE.html

Package: mpc-ace
Architecture: all
Depends: ${perl:Depends}
Recommends: make
Replaces: libace-dev (= 5.6.3-4)
Suggests: libace-dev, pkg-config
Description: makefile, project and workspace creator
 This package contains the Makefile, Project and Workspace Creator (MPC)
 as distributed with the ACE toolkit.
 .
 MPC generates platform and compiler specific files to automate the
 compilation process.
 .
 The following programs are included:
  * mpc-ace, generating project files for a single target
  * mwc-ace, generating workspace files for a set of projects

Package: libace-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network programming framework
 This package contains the ADAPTIVE Communication Environment (ACE)
 framework.
 .
 It provides platform independent C++ wrappers for interprocess
 communication:
  * signals
  * pipes
  * sockets
  * message queues
  * semaphores
  * shared memory
 as well as thread, process management routines and much more.
 .
 Moreover, it defines patterns for common communication tasks. Beyond
 these:
  * Reactor, to handle event demultiplexing and dispatching
  * Proactor, for asynchronous I/O driven programs

Package: libace-dev
Architecture: any
Section: libdevel
Depends: libace-5.8 (= ${binary:Version}), ${misc:Depends}
Suggests: libace-doc, libtao-dev, pkg-config
Replaces: mpc-ace (<< 5.6.3-4)
Description: C++ network programming framework development files
 This package contains the header files and static library for the ACE
 framework.

Package: libace-doc
Architecture: all
Section: doc
Suggests: libace-dev
Description: C++ network programming framework documentation
 This package contains the ACE overview documentation, tutorials,
 examples, and information regarding upstream development.

Package: libace-ssl-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE secure socket layer library
 This package contains wrappers that integrate the OpenSSL library in the
 ACE framework.

Package: libace-ssl-dev
Architecture: any
Section: libdevel
Depends: libace-ssl-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), libssl-dev (>= 5.8d), ${misc:Depends}
Description: ACE secure socket layer library development files
 This package contains the header files and static library for the ACE
 SSL library.

Package: libace-rmcast-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE reliable multicast library
 The RMCast library is a reliable source-ordered multicast protocol
 implementation.
 .
 It uses sequence number for re-ordering, duplicate suppression and
 loss detection of messages.

Package: libace-rmcast-dev
Architecture: any
Section: libdevel
Depends: libace-rmcast-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE reliable multicast library development files
 This package contains the header files and static library for the ACE
 reliable multicast library.

Package: libace-tmcast-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE transactional multicast library
 The TMCast library is a transaction multicast protocol implementation. 
 .
 Each message is delivered to multicast group members as a transaction: 
 an atomic, consistent and isolated action.

Package: libace-tmcast-dev
Architecture: any
Section: libdevel
Depends: libace-tmcast-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE transactional multicast library development files
 This package contains the header files and static library for the ACE
 transactional multicast library.

Package: libace-htbp-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE protocol over HTTP tunneling library
 The HTTP Tunneling, Bidirectional, Protocol (HTBP) library enables
 the writing of stream-based protocols over HTTP.
 .
 This allows clients behind a firewall to establish a connection with
 outbound servers using the HTTP protocol.

Package: libace-htbp-dev
Architecture: any
Section: libdevel
Depends: libace-htbp-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE protocol over HTTP tunneling library development files
 This package contains the header files and static library for the ACE
 HTBP library.

Package: gperf-ace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE perfect hash function generator
 ace_gperf is the ACE version of gperf.
 .
 Both ace_gperf and gperf were written by the same author, and have
 basically the same options and functionality. ace_gperf simply takes
 advantage of the some of the features provided by the ACE library.

Package: libacexml-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE SAX based XML parsing library
 This package provides interfaces for XML parsing based on Simple API
 for XML (SAX) 2.0, defined by David Megginson. This is an event-driven
 parsing approach.
 .
 ACEXML is a small footprint and portable library. It does not validate
 XML documents and supports only Unicode encoding.

Package: libacexml-dev
Architecture: any
Section: libdevel
Depends: libacexml-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE SAX based XML parsing library development files
 This package contains the header files and static library for the ACE
 XML parsing library.

Package: libkokyu-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libtao-1.8.1, libtao-orbsvcs-1.8
Description: ACE scheduling and dispatching library
 Kokyu is a library designed to provide flexible scheduling and
 dispatching services.
 .
 Currently it provides real-time scheduling and dispatching services
 for TAO real-time CORBA Event Service.

Package: libkokyu-dev
Architecture: any
Section: libdevel
Depends: libkokyu-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE scheduling and dispatching library development files
 This package contains the header files and static library for the ACE
 scheduling and dispatching library.

Package: libace-qtreactor-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Qt
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X Window
 System. Each of these extends the ACE_Select_Reactor to work with a
 specific toolkit. By using these reactors, your GUI application can remain
 single threaded yet still respond to both GUI events, such as button
 presses, any your own application events.
 .
 The ACE_QtReactor extends both the ACE_Select_Reactor and the Trolltech Qt
 library's QObjects class. Rather then using select(), the
 QtWaitForMultipleEvents() function is used.

Package: libace-qtreactor-dev
Architecture: any
Section: libdevel
Depends: libace-qtreactor-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), libqt4-dev, ${misc:Depends}
Description: ACE-GUI reactor integration for Qt development files
 This package contains header files and static library for the ACE-Qt
 reactor integration.

Package: libace-xtreactor-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Xt
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X Window
 System.  Each of these extends the ACE_Select_Reactor to work with a
 specific toolkit.  By using these reactors, your GUI application can remain
 single threaded yet still respond to both GUI events, such as button presses,
 any your own application events.
 .
 The ACE_XtReactor extends both the ACE_Select_Reactor and the X Toolkit
 library function XtWaitForMultipleEvents().

Package: libace-xtreactor-dev
Architecture: any
Section: libdevel
Depends: libace-xtreactor-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), libxt-dev (>= 5.8), ${misc:Depends}
Description: ACE-GUI reactor integration for Xt development files
 This package contains header files and static library for the ACE-Xt
 reactor integration.

Package: libace-tkreactor-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Tk
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X Window
 System.  Each of these extends the ACE_Select_Reactor to work with a
 specific toolkit.  By using these reactors, your GUI application can remain
 single threaded yet still respond to both GUI events, such as button presses,
 any your own application events.
 .
 The ACE_TkReactor provides reactor functionality around the popular Tcl/Tk
 library.  The underlying Tcl/Tk method used is Tcl_DoOneEvent().

Package: libace-tkreactor-dev
Architecture: any
Section: libdevel
Depends: libace-tkreactor-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), tk-dev (>= 5.8), ${misc:Depends}
Description: ACE-GUI reactor integration for Tk development files
 This package contains header files and static library for the ACE-Tk
 reactor integration.

Package: libace-flreactor-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Fl
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X Window
 System.  Each of these extends the ACE_Select_Reactor to work with a
 specific toolkit.  By using these reactors, your GUI application can remain
 single threaded yet still respond to both GUI events, such as button presses,
 any your own application events.
 .
 The ACE_FlReactor integrates with the FastLight toolkit's Fl::wait() method.

Package: libace-flreactor-dev
Architecture: any
Section: libdevel
Depends: libace-flreactor-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), libfltk1.1-dev (>= 5.8), ${misc:Depends}
Description: ACE-GUI reactor integration for Fl development files
 This package contains header files and static library for the ACE-Fl
 reactor integration.

Package: libace-foxreactor-5.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for FOX
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X Window
 System. Each of these extends the ACE_Select_Reactor to work with a
 specific toolkit. By using these reactors, your GUI application can remain
 single threaded yet still respond to both GUI events, such as button
 presses, any your own application events.
 .
 The ACE_FoxReactor integrates with the FOX toolkit.

Package: libace-foxreactor-dev
Architecture: any
Section: libdevel
Depends: libace-foxreactor-5.8 (= ${binary:Version}), libace-dev (= ${binary:Version}), libfox-1.6-dev, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules file for the ACE Debian GNU/Linux package
# written February 2002 by Ossama Othman <ossama@debian.org>
# Modified August 2003 by Brian Nelson <pyro@debian.org>
# Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
# Copyright © 2005-2008 Thomas Girard <thomas.g.girard@free.fr>

INSTALL := install -o root -g root
INSTALL_755 := $(INSTALL) -m 755
ACE_SUBDIR := ACE_wrappers
ACE_ARCHIVE := $(shell ls -1 ACE+TAO+CIAO-src-*.tar.bz2 2>/dev/null || echo ace-archive-missing)
MPC_SUBDIR := MPC
MPC_ARCHIVE := $(shell ls -1 MPC*.tar.gz 2>/dev/null || echo mpc-archive-missing)
MWCFLAGS := -type gnuace -features "ssl=1,zlib=1,zzip=1,xt=1,tk=1,fl=1,fox=1,qt4=1,exceptions=1,ace_qt4reactor=1" -noreldefs -genins
ACE_MAKE_FLAGS := ssl=1 zlib=1 zzip=1 xt=1 tk=1 fl=1 fox=1 qt4=1 debug=0 inline=1 optimize=1 exceptions=1 ace_qt4reactor=1
PRJ_INSTALL_FLAGS := -k -s man_files,lib_output,header_files,inline_files,exe_output,idl_files,pidl_files,template_files  -b lib_output=usr/lib -b exe_output=usr/bin -b idl_files=usr/include -b pidl_files=usr/include -b template_files=usr/include -b header_files=usr/include -b inline_files=usr/include -b idl_files=usr/include -b man_files=usr/share/man
MAN1 := debian/Basic_Logging_Service.1 \
	debian/Event_Logging_Service.1 \
	debian/Notify_Logging_Service.1 \
	debian/RTEvent_Logging_Service.1 \
	debian/TAO_ORB_Options.1 \
	debian/mpc-ace.1
MAN5 :=
# Where we install every file before calling dh_install
DT := debian/tmp

DOXYGEN_FILES_TO_REMOVE := -name '*.tag' -o \
                           -name '*.md5' -o \
                           -name '*.dot' -o \
                           -name '*.idx' -o \
                           -name '*.map' -o \
                           -name 'index.hh?'

ifneq (mpc-archive-missing,$(MPC_ARCHIVE))
export MPC_ROOT := $(shell pwd)/$(MPC_SUBDIR)
endif
export ACE_ROOT := $(shell pwd)/$(ACE_SUBDIR)
export TAO_ROOT := $(ACE_ROOT)/TAO
export CIAO_ROOT := $(TAO_ROOT)/CIAO
export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(ACE_ROOT)/lib
export QTDIR := /usr/share/qt4

# This dpatch is only a place holder. The `prepatch' targets stops
# here by default.
PREPATCH_MARK := 50-prepatch-dummy-mark.dpatch
UNTIL := $(PREPATCH_MARK)

.NOTPARALLEL: debian/mpc-ace.sgml debian/%.1 debian/%.5 prepatch extract doxygen clean install build binary-indep binary-arch binary
.PHONY: doxygen patch prepatch extract build clean binary-indep binary-arch binary install unpatch source diff

extract-stamp: $(ACE_ARCHIVE)
	tar -xjf $<
	cp debian/platform_macros.GNU $(ACE_ROOT)/include/makeinclude
	cp debian/config.h $(ACE_ROOT)/ace/config.h
	touch $@

extract: extract-stamp

$(MPC_ROOT): $(MPC_ARCHIVE)
	tar -xzf $<
	touch $@

debian/mpc-ace.sgml: ACE_wrappers/MPC/docs/MPC.sgml
	sed -e 's/mpc\.pl/mpc-ace/g' -e 's/mwc\.pl/mwc-ace/g' $< > $@

debian/%.1 debian/%.5: debian/%.sgml
	docbook-to-man $< > $@

# Prepare a ACE_wrappers directory where most of the patches are applied.
ifneq (mpc-archive-missing,$(MPC_ARCHIVE))
prepatch-stamp: extract-stamp $(MPC_ROOT)
else
prepatch-stamp: extract-stamp
endif
	dpatch apply-until $(UNTIL)

	cp debian/ACE-DPKG.mwc $(ACE_ROOT)
	cd $(ACE_ROOT) &&  bin/mwc.pl $(MWCFLAGS) ACE-DPKG.mwc
	cp debian/TAO-DPKG.mwc $(TAO_ROOT)
	cd $(TAO_ROOT) &&  ../bin/mwc.pl $(MWCFLAGS) TAO-DPKG.mwc
	touch $@

prepatch: prepatch-stamp

pl-stamp: extract-stamp
	for fn in `find "$(ACE_ROOT)" -name "*.pl"`; do (echo '#!/usr/bin/perl'; cat "$$fn") > "$${fn}T"; mv "$${fn}T" "$$fn"; chmod a+x "$$fn"; done
	touch $@

patch-stamp: prepatch pl-stamp 
	dpatch apply-all
	touch $@

patch: patch-stamp

unpatch: patch-stamp
	dpatch unpatch
	rm -f $<

build: build-stamp manpages-stamp

manpages-stamp: $(MAN1) $(MAN5)
	touch $@

doxygen-stamp: extract-stamp
	cd $(ACE_ROOT) && bin/generate_doxygen.pl -is_release
	find $(ACE_ROOT)/html/ace $(DOXYGEN_FILES_TO_REMOVE) | xargs -r rm -f
	find $(ACE_ROOT)/html/tao $(DOXYGEN_FILES_TO_REMOVE) | xargs -r rm -f
	touch $@

doxygen: doxygen-stamp

build-stamp: patch-stamp
	dh_testdir
	cd $(ACE_ROOT) && $(MAKE) $(ACE_MAKE_FLAGS)
	cd $(TAO_ROOT) && $(MAKE) $(ACE_MAKE_FLAGS)
	touch $@

clean:
	dh_testdir
	rm -rf $(ACE_SUBDIR) $(MPC_SUBDIR) debian/patched $(MAN1) $(MAN5) *-stamp debian/mpc-ace.sgml
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#       2nd-pass MPC generation is a quick bugfix related with write_install_files@MPC/modules/ProjectCreator.pm
	echo 2nd-pass MPC generation
	cd $(ACE_ROOT) &&  bin/mwc.pl $(MWCFLAGS) ACE-DPKG.mwc
	cd $(TAO_ROOT) &&  ../bin/mwc.pl $(MWCFLAGS) TAO-DPKG.mwc
#	Install ACE files in $(CURDIR)/$(DT)
	echo Installing..
	cd $(ACE_ROOT) && MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) ace 
	cd $(ACE_ROOT) && MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) apps 
	cd $(ACE_ROOT) && MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) ACEXML  
	cd $(ACE_ROOT) && MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) Kokyu
	cd $(ACE_ROOT)/protocols && ../MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) ace

#	Install TAO files in $(CURDIR)/$(DT)
	cd $(TAO_ROOT) && ../MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) tao 
	cd $(TAO_ROOT) && ../MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) orbsvcs
	cd $(TAO_ROOT) && ../MPC/prj_install.pl -k -s man_files,exe_output,lib_output  -b exe_output=usr/bin -b man_files=usr/share/man -b lib_output=usr/lib  $(CURDIR)/$(DT) TAO_IDL
	cd $(TAO_ROOT) && ../MPC/prj_install.pl $(PRJ_INSTALL_FLAGS) $(CURDIR)/$(DT) utils

#	Move libraries and excutable to lib and bin, then remove subdirectories
	cd $(CURDIR)/$(DT)/usr/bin &&  find . -executable -a -type f -exec mv {} . ';' && find . -type d -delete
	cd $(CURDIR)/$(DT)/usr/lib &&  find . -type f -exec mv {} . ';' && find . -type d -delete

#	Create .so links instead of copies
	cd $(CURDIR)/$(DT)/usr/lib && find . -iname '*.so' -exec echo ln -sf {}.* {} ';' | sh

#	Change man1 files location
	mkdir -p $(CURDIR)/$(DT)/usr/share/man/man1
	cd $(CURDIR)/$(DT)/usr/share/man && find . -iname *.1 -exec mv {}  man1 ';' && rm -rf apps

#	Move orbsvcs files from include/tao/orbsvcs into include/orbsvcs
	cd $(CURDIR)/$(DT)/usr/include/orbsvcs && mv -f orbsvcs/* . && rm -rf orbsvcs  

#	We provide scripts replacement for tao_idl and tao_ifr ; they
#	automatically define ACE_ROOT and TAO_ROOT
	mv $(DT)/usr/bin/tao_idl $(DT)/usr/bin/tao_idl.real
	$(INSTALL_755) -D debian/tao_idl $(DT)/usr/bin/tao_idl
	mv  $(DT)/usr/bin/tao_ifr  $(DT)/usr/bin/tao_ifr.real
	$(INSTALL_755) -D debian/tao_ifr $(DT)/usr/bin/tao_ifr

#       Install mpc scripts
	$(INSTALL_755) -D $(ACE_ROOT)/bin/mpc.pl $(DT)/usr/bin/mpc-ace
	$(INSTALL_755) -D $(ACE_ROOT)/bin/mwc.pl $(DT)/usr/bin/mwc-ace

	rm -f $(ACE_SUBDIR)/MPC/config/.cvsignore

#	Be lintian clean, fix permissions on examples
#       But find returns nothing..
#	-chmod -x `find $(TAO_ROOT)/examples/ -perm 755 ! -type d -a ! \( -name "*.pl" -o -name "*.sh" \)`

	rm -f $(DT)/usr/bin/TAO_Service
	dh_install --sourcedir=$(DT) --fail-missing

binary-indep: build install doxygen-stamp
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_installchangelogs -i $(ACE_ROOT)/ChangeLog
	dh_perl -i
	dh_link -i
	dh_compress -i -Xexamples -Xtutorials
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A
	dh_installman -a
	dh_installinfo -pgperf-ace $(ACE_ROOT)/apps/gperf/ace_gperf.info
	dh_installchangelogs -a $(ACE_ROOT)/ChangeLog
	dh_installchangelogs -pgperf-ace $(ACE_ROOT)/apps/gperf/ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a -l `ls -1 debian/lib*.install | sed -e 's#\(.*\)\.install#\1/usr/lib#' | tr '\n' ':' | sed -e 's#:$$##'`
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
